##########################################################################
####
####	Extended Module Player configuration file
####	xmp will look for this file in /etc/xmp/xmp.conf, $HOME/.xmprc or
####	$HOME/.xmp/xmp.conf
####
####	An <yesno> argument is assumed "yes" when the first character
####	is either 'y' or 'o'.
####
##########################################################################


# verbosity = <val>
# Verbosity level. Default is 1.
#
#verbosity = 1


##########################################################################
####
####	DRIVER PARAMETERS
####
##########################################################################

# driver = <name>
# Output device to be used
#
#driver = oss


# OSS software mixing

# Set the number and size in bytes of audio buffer fragments. The size must
# be a power of two.
#
#frag = 16,2048


# OSS sequencer

# Set the chorus mode and reverb mode for AWE cards.
#
#awechorus = 2
#awereverb = 5


# Solaris or HP-UX driver

# Set the output audio gain (0 to 255)
#
#gain = 180

# Set the audio port. Valid values are s[peaker], h[eadphones] and l[ineout].
#
#port = speaker

# Set the audio buffer size
#
#buffer = 32768


# Network Audio System driver

#server = tcp/tweek:8000
#duration = 2
#gain = 100
#watermark = 10


##########################################################################
####
####	SOFTWARE MIXER SETTINGS
####	The following parameters affect the software mixer only
####
##########################################################################

# amplify = <0|1|2|3>
# Amplification factor. Default is 0 (normal)
#
#amplify = 0

# srate = <val>
# Sampling rate in hertz. Default is 44100 Hz.
#
#srate = 44100

# bits = <val>
# Output resolution for the software mixer. Default is 16 bits.
#
#bits = 16

# interpolate = <yesno>
# Turn sample interpolation on/off. Default is on.
#
interpolate = of course


##########################################################################
####
####	EFFECTS
####
##########################################################################

# chorus = <val>
# reverb = <val>
# Set the amount of chorus and reverb. These settings will NOT be used
# in modules with embedded chrus and reverb settings (e.g. IMF)
#
chorus = 25
reverb = 50

# filter = <yesno>
# Enable/disable lowpass filtering in IT files. Default is on.
#
# filter = nyet


##########################################################################
####
####	ENVIRONMENT SETTINGS
####
##########################################################################

# instrument_path = <path>
# Set the pathname to the directory containing external samples for
# certain formats (e.g. MED2)
#
#instrument_path = /home/claudio/amiga/MED-1.12/Instruments


##########################################################################
####
####	PLAYER SETTINGS
####
##########################################################################

# 8bit = <yesno>
# Convert the 16 bit samples to 8 bit top save memory. This option is
# ignored by AWE cards.
#
8bit = no

# crunch = <val>
# xmp will try to crunch samples if they don't fit in the card memory
# (if you use a GUS or AWE card). An extra crunch will often be needed
# because samples can't span memory banks boundaries. By default this
# value is set to 5%.
#
crunch = 5

# mono = <yesno>
# Force mono output. Default is no.
#
mono = never!

# reverse = <yesno>
# Reverse left/right stereo channels. Default is off.
#
reverse = are you kidding?

# mix = <val>
# Percentual stereo mixing. Default is 70%.
#
mix = 70

# Turn module looping on/off. Default is off.
#
loop = no way!

# pan = <yesno>
# Enable/disable dynamic panning. AWE users may want to disable dynamic
# panning if excessive clicking is heard in the output. Default is on.
#
pan = yeah, sure

# time = <val>
# Maximum playing time in seconds. Default is 0.
#
time = 0

# fx9bug = <yesno>
# Emulate Protracker 2.x effect 9 (set offset) bug. Don't set it here,
# use xmp-modules.conf instead.
#
#fx9bug = nope

# fixloop = <yesno>
# Half the sample loop start value. Don't set it here, use xmp-modules.conf
# instead.
#
#fixloop = no thanks
